---
title: Selection.rangeCount
slug: Web/API/Selection/rangeCount
tags:
  - API
  - Experimental
  - HTML Editing
  - Property
  - Read-only
  - Reference
  - Selection
---
<div>
<div>
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>
</div>
</div>

<p>The <strong><code>Selection.rangeCount</code></strong> read-only property returns the number of ranges in the selection.</p>

<p>Before the user has clicked a freshly loaded page, the <code>rangeCount</code> is <code>0</code>. After the user clicks on the page, <code>rangeCount</code> is <code>1</code>, even if no selection is visible.</p>

<p>A user can normally only select one range at a time, so the <code>rangeCount</code> will usually be <code>1</code>. Scripting can be used to make the selection contain more than one range.</p>

<p>Gecko browsers allow multiple selections across table cells. Firefox allows to select multiple ranges in the document by using Ctrl+click (unless the click occurs within an element that has the <code>display: table-cell</code> CSS property assigned).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>value</em> =<em> sel</em>.rangeCount
</pre>

<h2 id="Example">Example</h2>

<p>The following example will show the <code>rangeCount</code> every second. Select text in the browser to see it change.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;table&gt;
  &lt;tr&gt;&lt;td&gt;a.1&lt;td&gt;a.2
  &lt;tr&gt;&lt;td&gt;b.1&lt;td&gt;b.2
  &lt;tr&gt;&lt;td&gt;c.1&lt;td&gt;c.2
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">window.setInterval(function () {
  console.log(window.getSelection().rangeCount);
}, 1000);
</pre>

<h3 id="Result">Result</h3>

<p>Open your console to see how many ranges are in the selection. In Gecko browsers, you can select multiple ranges across table cells by holding down <kbd>Ctrl</kbd> while dragging with the mouse.</p>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-rangecount', 'Selection.rangeCount')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.rangeCount")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface it belongs to.</li>
</ul>
